Subject: bug#30073: closed (Re: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jan 2018 21:48:03 +0000

Your bug report

#30073: 27.0.50; dired-do-delete ignores customization for short answers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30073: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30073
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers
From: Juri Linkov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jan 2018 23:46:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Thanks for working on this.
>
> Here is a quite final patch I believe.  At least, it works
> without noticed problems in my tests.

Done.

Subject: 27.0.50; dired-do-delete ignores customization for short answers
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jan 2018 23:41:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I customized ‘yes-or-no-p’ in ~/.emacs to short answers:

  (fset 'yes-or-no-p 'y-or-n-p)

but now ‘dired-do-delete’ ignores this customization, and always requires
typing a full answer “yes” with RET when deleting recursively all subdirs,
instead of accepting just a single letter ‘y’ as before the recent change.

I think in this case better is to accept ‘y’ for “yes”, and ‘!’ for “all”
like in ‘query-replace-map’.